The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Выпуск Wine 1.7.10

03.01.2014 23:52

Вышел очередной экспериментальный выпуск открытой реализации Win32 API - Wine 1.7.10. С момента выпуска версии 1.7.9 было закрыто 48 отчётов об ошибках.

Наиболее важные изменения:

  • Поддержка локальной памяти потока (TLS, Thread-Local Storage) в динамически загружаемых библиотеках;
  • Начало реализации планировщика задач (Task Scheduler);
  • Расширена поддержка протокола IPX;
  • Реализация системы сжатия AVI;
  • Поддержка максимизации окон в драйвере Mac;
  • Закрыты отчёты об ошибках, связанные с работой игр и приложений: Dungeon Keeper Gold, Garmin MapSource 6.x, AIM Pro, Jumpstart Mystery Club, The Bat! Voyager, Jasc Animation Shop 3.05, Farscape, Shareaza 2.5.x Media Player, MotorM4X, Blood Bowl Legendary Edition, Muvee Reveal 8.0.1.1421, Mobile Master, Google Music Manager, Corel Photo Downloader, Visual C++ 2010, Freemake Video Converter, Anno 1602: Unhandled exception, Microsoft Office 2013, SPSS Legacy Viewer, GoldCoin 0.7.1.7, Keil uVision 3 IDE, Gazillionaire, Torch Browser.


  1. Главная ссылка к новости (http://www.winehq.org/announce...)
  2. OpenNews: Выпуск Wine 1.7.9
  3. OpenNews: Выпуск Wine 1.7.8
  4. OpenNews: Выпуск Wine 1.7.7
  5. OpenNews: Стабильный релиз Wine 1.6.1
  6. OpenNews: Выпуск Wine 1.7.6
Лицензия: CC-BY
Тип: Программы
Ключевые слова: wine
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение (59) Ajax | 1 уровень | Линейный | Раскрыть всё | RSS
  • 1.1, Аноним (-), 00:13, 04/01/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • –5 +/
    Ээээээээ. Кому в наши дни нужен IPX? Он уже лет 20 как мертв! З@копайте обратно!
     
     
  • 2.2, Пиу (ok), 00:33, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +21 +/
    один из основных юзекейсов вайна - способность запускать старые программы.
     
     
  • 3.8, Аноним (-), 01:37, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Но не настолько же старые-то!!!
     
     
  • 4.9, BratSinot (ok), 01:41, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Помнится играли с другом по сетке (если не ошибаюсь, то в каких-то Бомберменов), так там нужен был IPX.
     
     
  • 5.10, ADMIN (?), 01:44, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    IPX много где нужен, тот же doom 3
     
  • 5.12, ADMIN (?), 01:45, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    > Помнится играли с другом по сетке (если не ошибаюсь, то в каких-то
    > Бомберменов), так там нужен был IPX.

    https://github.com/id-Software/DOOM/tree/master/ipx

     
  • 5.47, Аноним (-), 16:28, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Да-да-да, Бомбермэн, надо будет снова попробовать, заработал ли ipx!..
     
     
  • 6.67, kai3341 (ok), 04:13, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    https://pp.vk.me/c405227/v405227278/b814/uqEu6Ji0wBo.jpg
     
  • 5.52, Аноним (-), 18:32, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > Помнится играли с другом по сетке (если не ошибаюсь, то в каких-то
    > Бомберменов), так там нужен был IPX.

    Ту еще новелловские netwars вспомни. Что, и Netware 3.12 сохранил даже?

     
  • 4.14, Пиу (ok), 02:04, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +13 +/
    > Но не настолько же старые-то!!!

    как раз наоборот - вайн должен уметь поддерживать запуск даже тех программ, которые уже перестали работать в современных версиях винды. это увеличивает ее (винды) ненужность и приближает вендекапец

     
     
  • 5.16, Аноним (-), 02:10, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • –6 +/
    Может как вариант предположить что эти древние программы не нужны? Зачем терзать мертвую плоть
     
     
  • 6.17, kai3341 (ok), 02:22, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    >  Может как вариант предположить что эти древние программы не нужны? Зачем терзать мертвую плоть

    Может, как вариант, предположить, что эти древние программы вдруг прижало запустить любой ценой? Тому пример- программы, написанные преподами для обучения или в НИИ десятилетия назад. Даже если исходники удастся найти, возможно, придётся переписать чуть ли не всё. А теперь подумайте, надо ли оно, если программа работает и так, надо лишь её запустить.

     
     
  • 7.18, st (??), 03:56, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • –1 +/
    представляете, можно просто поставить под виртуалкой старую винду, в которой эта прога работала и не нужен никакой wine
     
     
  • 8.19, kai3341 (ok), 05:03, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Представляете, программа может и с внешним железом взаимодействовать Пробрасыва... текст свёрнут, показать
     
     
  • 9.46, Аноним (-), 16:17, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Опытные люди для этого специально старые компы не списывают Пофиг, чтот на нем ... текст свёрнут, показать
     
     
  • 10.69, Тот_Самый_Анонимус (?), 06:18, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Люди настолько опытные, что даже про виртуальные машины не слышали ... текст свёрнут, показать
     
  • 9.79, XoRe (ok), 18:57, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • –1 +/
    В нормальных системах виртуализации есть LPT COM USB PCI passthrough Это может ... текст свёрнут, показать
     
  • 8.25, Anonplus (?), 11:02, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Представляете, для этого надо купить эту старую винду ... текст свёрнут, показать
     
     
  • 9.35, Аноним (-), 12:58, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Не надо, но в вайне все равно не заработает, особенно с железом из комментария... текст свёрнут, показать
     
     
  • 10.43, Khariton (ok), 14:24, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    а разве вайн позволяет пробрасывать устройства отличные от последовательного пор... текст свёрнут, показать
     
  • 9.42, Khariton (ok), 14:22, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    опа Купите мне пожалуйста вин98 или чо уж там старье ворошить - винхр ... текст свёрнут, показать
     
     
  • 10.60, Аноним (-), 22:28, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Нефиг лохматить бабушку ... текст свёрнут, показать
     
  • 10.64, тоже Аноним (ok), 00:12, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Простите, но, может быть, вам даже слово такое - downgrade - незнакомо Ведь вы ... текст свёрнут, показать
     
     
  • 11.65, Khariton (ok), 00:32, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Даунгрейд до ХР или Вин98 Покажите где МС дает такую возможность для новой техн... текст свёрнут, показать
     
  • 11.80, XoRe (ok), 19:01, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Микрософт, судя по всему, про это слово забыл ... текст свёрнут, показать
     
     
  • 12.83, Khariton (ok), 23:18, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    не ну можно с 7ки Про на ХР даунгрейдится сколько стоит каждая из них ... текст свёрнут, показать
     
  • 10.86, Аноним (-), 20:11, 08/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    От Вы опять - купите win Де не продается win НЕ ПРОДАЕТСЯ НИКАКАЯ Это собс... текст свёрнут, показать
     
  • 7.68, Тот_Самый_Анонимус (?), 06:17, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >Может, как вариант, предположить, что эти древние программы вдруг прижало запустить любой ценой? Тому пример- программы, написанные преподами для обучения или в НИИ десятилетия назад. Даже если исходники удастся найти, возможно, придётся переписать чуть ли не всё. А теперь подумайте, надо ли оно, если программа работает и так, надо лишь её запустить.

    Ситуация

    > Даже если исходники удастся найти, возможно, придётся переписать чуть ли не всё.

    бывает и в линухе, где прекращается поддержка старых библиотек и архитектур. Однако Line (Line is not emulator) почему-то не пишут :(

     
     
  • 8.84, Khariton (ok), 23:19, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    А бывает что вам запрещают использовать старое ядро или старые библиотеки Я не ... текст свёрнут, показать
     

  • 1.21, Аноним (-), 08:07, 04/01/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • +6 +/
    Комментарий_про_d3d_в_отдельном_потоке.
     
     
  • 2.28, RudW0lf (?), 11:25, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Пичаль, а оно отдельным патчем есть?
     
     
  • 3.30, Аноним (-), 11:39, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Да, для Wine 1.7.1. Для 1.7.2 уже не применяется. Пофиксить вручную конечно можно, но там 250 патчей, из которых перестало применяться много, как минимум первые 10.
     
  • 3.38, Admiral (?), 13:37, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    > Пичаль, а оно отдельным патчем есть?

    Wine 1.7.4 от кроссова (бесплатно и смс), скомпилировать руками.

    http://ftp.codeweavers.com/pub/crossover/source/crossover-sources-13.0.1.tar.

     
     
  • 4.39, Admiral (?), 13:41, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    >> Пичаль, а оно отдельным патчем есть?
    > Wine 1.7.4 от кроссова (бесплатно и смс), скомпилировать руками.
    > http://ftp.codeweavers.com/pub/crossover/source/crossover-sources-13.0.1.tar.

    CSMT по умолчанию включен, можно только вырубить

    sources/wine/dlls/wined3d/wined3d_main.c
      213:         if (!get_config_key(hkey, appkey, "CSMT", buffer, size)
      214                  && !strcmp(buffer,"disabled"))

     
  • 4.85, Аноним (-), 20:00, 08/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Это просто прекрасно, но в основной ветке-то когда?
     

  • 1.26, Аноним (-), 11:07, 04/01/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • +2 +/
    Множество как поживает?
     
     
  • 2.31, тоже Аноним (ok), 11:57, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +2 +/
    Вы не в курсе современных трендов. Множество ошибок отменяется.
    Теперь в каждой новости - "исправлены проблемы с Visual Studio"!
     
     
  • 3.32, Аноним (-), 12:36, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Что, в принципе, то же самое.
     

  • 1.40, iZEN (ok), 13:53, 04/01/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Когда же он будет готов для архитектуры [amd64] FreeBSD? Тогда бы надобность в Windows x86 отпала.
     
     
  • 2.51, PluOk (?), 18:15, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    а рвзве не устраивает в FreeBSD (AMD64)
    emulators/i386-wine или emulators/i386-wine-devel
     
     
  • 3.59, iZEN (ok), 20:33, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > а рвзве не устраивает в FreeBSD (AMD64)
    > emulators/i386-wine или emulators/i386-wine-devel

    % portmaster emulators/i386-wine

    ===>>> Port directory: /usr/ports/emulators/i386-wine

    ===>>> Gathering distinfo list for installed ports

    ===>>> Gathering dependency list for emulators/i386-wine from ports
    ===>>> Initial dependency check complete for emulators/i386-wine


    ===>>> Starting build for emulators/i386-wine <<<===

    ===>>> All dependencies are up to date

    ===>  Cleaning for i386-wine-1.6.1,1
    ===>  i386-wine-1.6.1,1 binaries compiled for FreeBSD 8.3+ and 9.1+ only.
    *** Error code 1

    Stop.
    make: stopped in /usr/ports/emulators/i386-wine

    ===>>> make failed for emulators/i386-wine
    ===>>> Aborting update

    ===>>> Killing background jobs
    Terminated

    ===>>> You can restart from the point of failure with this command line:
           portmaster <flags> emulators/i386-wine

    ===>>> Exiting


    % portmaster emulators/i386-wine-devel

    ===>>> Port directory: /usr/ports/emulators/i386-wine-devel

    ===>>> Gathering distinfo list for installed ports

    ===>>> Gathering dependency list for emulators/i386-wine-devel from ports
    ===>>> Initial dependency check complete for emulators/i386-wine-devel


    ===>>> Starting build for emulators/i386-wine-devel <<<===

    ===>>> All dependencies are up to date

    ===>  Cleaning for i386-wine-devel-1.7.9,1
    ===>  i386-wine-devel-1.7.9,1 binaries compiled for FreeBSD 8.3+ and 9.1+ only.
    *** Error code 1

    Stop.
    make: stopped in /usr/ports/emulators/i386-wine-devel

    ===>>> make failed for emulators/i386-wine-devel
    ===>>> Aborting update

    ===>>> Killing background jobs
    Terminated

    ===>>> You can restart from the point of failure with this command line:
           portmaster <flags> emulators/i386-wine-devel

    ===>>> Exiting

    % uname -rsm
    FreeBSD 10.0-PRERELEASE amd64

     
  • 2.61, Michael Shigorin (ok), 22:35, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    > Когда же он будет готов для архитектуры [amd64] FreeBSD?
    > Тогда бы надобность в Windows x86 отпала.

    Мсье действительно предпочитает win64 API?

     
     
  • 3.63, iZEN (ok), 23:57, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >> Когда же он будет готов для архитектуры [amd64] FreeBSD?
    >> Тогда бы надобность в Windows x86 отпала.
    > Мсье действительно предпочитает win64 API?

    Мне и Win32 достаточно было бы — надо же на чём-то запустить 1С для изучения.


     
     
  • 4.66, Michael Shigorin (ok), 01:24, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >> Мсье действительно предпочитает win64 API?
    > Мне и Win32 достаточно было бы

    Тогда см. что выше посоветовали, насколько понимаю.

     
     
  • 5.75, iZEN (ok), 14:44, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >>> Мсье действительно предпочитает win64 API?
    >> Мне и Win32 достаточно было бы
    > Тогда см. что выше посоветовали, насколько понимаю.

    Я уже обозначил проблему: Wine не ставится на FreeBSD 10, нужна предыдущая версия операционной системы.


     
     
  • 6.76, Аноним (-), 17:11, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    >>>> Мсье действительно предпочитает win64 API?
    >>> Мне и Win32 достаточно было бы
    >> Тогда см. что выше посоветовали, насколько понимаю.
    > Я уже обозначил проблему: Wine не ставится на FreeBSD 10, нужна предыдущая
    > версия операционной системы.

    % uname -rsm
    FreeBSD 10.0-PRERELEASE amd64
    % pkg info|grep wine
    i386-wine-devel-1.7.10,1       32bit Microsoft Windows compatibility environment for 64bit FreeBSD
    wine-gecko-devel-2.24          Gecko Layout Engine for Wine development branch (HTML support)
    wine-mono-devel-4.5.2          Mono .NET implementation for Wine development branch (HTML support)

    Прекрасно ставится, тебе просто лень собрать ручками.
    compat9x еще для лентяев есть.

     
     
  • 7.77, iZEN (ok), 18:04, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > % uname -rsm
    > FreeBSD 10.0-PRERELEASE amd64
    > % pkg info|grep wine
    > i386-wine-devel-1.7.10,1       32bit Microsoft Windows compatibility environment
    > for 64bit FreeBSD
    > wine-gecko-devel-2.24          Gecko Layout
    > Engine for Wine development branch (HTML support)
    > wine-mono-devel-4.5.2          Mono .NET
    > implementation for Wine development branch (HTML support)
    > Прекрасно ставится, тебе просто лень собрать ручками.

    "Руками" это как? Из порта же ставить пробую, по-другому зачем?

    > compat9x еще для лентяев есть.

    Попробовал — бесполезно.


    % cd /usr/ports/emulators/i386-wine-devel/ && make
    ===>  i386-wine-devel-1.7.9,1 binaries compiled for FreeBSD 8.3+ and 9.1+ only.
    *** Error code 1

    Stop.
    make: stopped in /usr/ports/emulators/i386-wine-devel

     
     
  • 8.78, Аноним (-), 18:19, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Cобрал в чруте с 32-битным окружением, только немного Makefile подредактировал п... текст свёрнут, показать
     
  • 4.70, Аноним (-), 09:09, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    >запустить 1С для изучения

    Туго, я смотрю, джавистам на рынке приходится.

     
     
  • 5.73, Аноним (-), 14:15, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    >>запустить 1С для изучения
    > Туго, я смотрю, джавистам на рынке приходится.

    Ну да, их нишу заняли рубисты и сишарписты.

    А сишников берут только с высшим и на заводы в основном.

     
  • 5.74, iZEN (ok), 14:43, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • –1 +/
    >>запустить 1С для изучения
    > Туго, я смотрю, джавистам на рынке приходится.

    Вот только рынка я не вижу. Всё какой-то базар...


     
  • 4.71, Аноним (-), 11:32, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    почему в линуксе вайн работает, а в бсд нет? Может что то не то с бсд?
     
     
  • 5.72, Аноним (-), 13:56, 05/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Нет, что-то не то с Изей, у меня все работает во FreeBSD 10.
     

  • 1.45, vitalif (ok), 14:52, 04/01/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    > планировщик
    > AVI компрессор

    Что, скоро можно будет выпускать Wine/Linux как ОС?

     
     
  • 2.48, Аноним (-), 16:33, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Конечно, я давно думал, возможно ли это :-)
     
  • 2.50, Admiral (?), 16:38, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Ждите  Wine в kernel
     
     
  • 3.58, Antonim (ok), 19:25, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Уже есть - http://www.longene.org/en/index.php
    и на русском http://www.opennet.ru/opennews/art.shtml?num=26820.
    Можно еще поискать по тегам "Linux Unified Kernel" .
    У них кстати 31 числа , оказывается , 1.0-RC1 вышел. В принципе  вполне достойно упомянуть в ньюсах IMHO.
    Правда "не нужно" ибо работает из под рута.
     
     
  • 4.62, commiethebeastie (ok), 22:51, 04/01/2014 [^] [^^] [^^^] [ответить]  
  • +/
    Да, оно сильно изменилось, теперь отдельным модулем и без всяких хаков.
     

  • 1.49, Аноним (-), 16:34, 04/01/2014 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    > Anno 1602: Unhandled exception

    Лол, посмеялся.

     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:



    Спонсоры:
    MIRhosting
    Inferno Solutions
    Hosting by Ihor
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2019 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру